### Method

# GLib DateTime add_full

since: 2.26

#### Declaration [src]

    GDateTime*
    g_date_time_add_full (
      GDateTime* datetime,
      gint years,
      gint months,
      gint days,
      gint hours,
      gint minutes,
      gdouble seconds
    )

#### Description [src]

Creates a new `GDateTime` adding the specified values to the current date and time in `datetime`. Add negative values to subtract.

Available since: 2.26

#### Parameters

`years`

  Type: `gint`

  The number of years to add.

`months`

  Type: `gint`

  The number of months to add.

`days`

  Type: `gint`

  The number of days to add.

`hours`

  Type: `gint`

  The number of hours to add.

`minutes`

  Type: `gint`

  The number of minutes to add.

`seconds`

  Type: `gdouble`

  The number of seconds to add.

#### Return value

Type: `GDateTime`

The newly created `GDateTime` which should be freed with g_date_time_unref(), or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.